LEI-DAEMON-KILL(1)

NAME
lei-daemon-kill - signal the lei-daemon

SYNOPSIS
lei daemon-kill [-SIGNAL | -s SIGNAL | --signal SIGNAL]

DESCRIPTION
Send a signal to the lei-daemon(8). "SIGNAL" defaults to "TERM".

This command should be run after updating the code of lei.

SIGNALS

SIGTERM
    Send a graceful termination signal. lei-daemon(8) will exit when all currently running lei commands are done. The listen socket will be released as soon as the signal is processed so another lei-daemon(8) process can take its place.

SIGKILL
    Kills lei-daemon(8) immediately. Some worker processes may remain running after a short while after this takes effect.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-daemon-pid(1), lei-daemon(8)